#690 Updating next reconnect time when one is already present.

closed
James McCoy
None
5
2013-08-24
2010-11-21
Hoaas
No

Running Supybot 0.83.4.1+gribble (2010-10-10T17:52:04-0400).

Had the bot disconnect with a [Read error: Connection reset by peer] and reconnect and the join the channel in the same second after getting no response to a ping. Everything worked as normal after this. There was nothing special going on on the network as far as I could tell.

Posting here because of the "This is a bug; please report it, with an explanation of what caused this to happen."-message.

This is a copy/paste from the messages.log:

WARNING 2010-11-21T19:11:12 supybot Ping sent at 2010-11-21T19:09:11 not replied to.
DEBUG 2010-11-21T19:11:12 supybot Incoming message (QuakeNet): ERROR :Ping sent at 2010-11-21T19:09:11 not replied to.
WARNING 2010-11-21T19:11:12 supybot Error message from QuakeNet: Ping sent at 2010-11-21T19:09:11 not replied to.
INFO 2010-11-21T19:11:12 supybot Reconnecting to QuakeNet.
DEBUG 2010-11-21T19:11:12 supybot Resetting Irc object for QuakeNet.
DEBUG 2010-11-21T19:11:12 supybot Queuing NICK command, nick is Bunisher.
DEBUG 2010-11-21T19:11:12 supybot Queuing USER command, ident is supybot, user is TerjeBot.
INFO 2010-11-21T19:11:12 supybot Connecting to irc.quakenet.org:6667.
DEBUG 2010-11-21T19:11:13 supybot Incoming message (QuakeNet): ERROR :Your host is trying to (re)connect too fast -- throttled
WARNING 2010-11-21T19:11:13 supybot Error message from QuakeNet: Your host is trying to (re)connect too fast -- throttled
ERROR 2010-11-21T19:11:13 supybot Uncaught exception in Irc.feedMsg:
Traceback (most recent call last):
File "/usr/local/lib/python2.6/dist-packages/supybot/log.py", line 351, in m
return f(self, args, *kwargs)
File "/usr/local/lib/python2.6/dist-packages/supybot/irclib.py", line 802, in feedMsg
method(msg)
File "/usr/local/lib/python2.6/dist-packages/supybot/irclib.py", line 964, in doError
self.driver.reconnect(wait=True)
TypeError: reconnect() got an unexpected keyword argument 'wait'
ERROR 2010-11-21T19:11:13 supybot Exception id: 0xc13f4
DEBUG 2010-11-21T19:11:13 supybot Outgoing message: NICK :Bunisher
DEBUG 2010-11-21T19:11:13 supybot Irc.takeMsg throttling.
DEBUG 2010-11-21T19:11:13 supybot Outgoing message: PING :1290363072
DEBUG 2010-11-21T19:11:13 supybot Incoming message (EFnet): :irc.efnet.pl PONG irc.efnet.pl :1290363072
DEBUG 2010-11-21T19:11:13 supybot Irc.takeMsg throttling.
DEBUG 2010-11-21T19:11:13 supybot Irc.takeMsg throttling.
DEBUG 2010-11-21T19:11:14 supybot Outgoing message: USER supybot 0 * :TerjeBot
WARNING 2010-11-21T19:11:14 supybot Disconnect from irc.quakenet.org:6667: error: [Errno 32] Broken pipe.
INFO 2010-11-21T19:11:14 supybot Reconnecting to QuakeNet at 2010-11-21T19:11:24.
WARNING 2010-11-21T19:11:14 supybot Disconnect from irc.quakenet.org:6667: error: [Errno 9] Bad file descriptor.
INFO 2010-11-21T19:11:14 supybot Reconnecting to QuakeNet at 2010-11-21T19:11:34.
WARNING 2010-11-21T19:11:14 supybot Updating next reconnect time when one is already present. This is a bug; please report it, with an explanation of what caused this to happen.
DEBUG 2010-11-21T19:11:35 supybot Resetting Irc object for QuakeNet.

Discussion

  • James McCoy
    James McCoy
    2013-08-24

    • status: open --> closed
    • assigned_to: James McCoy
     
  • James McCoy
    James McCoy
    2013-08-24

    This looks like its related to the TypeError exception that was raised during the reconnect. This should be fixed in [ea7f1f].

     

    Related

    Commit: [ea7f1f]